Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs	(revision 14834)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs	(revision 14875)
@@ -8,5 +8,5 @@
 
   [View("Push Expression Selection Editor")]
-  [Content(typeof(Data), true)]
+  [Content(typeof(ProblemData), true)]
   public partial class DataEditorView : NamedItemView {
     private const string ValueSeparator = ", ";
@@ -58,15 +58,15 @@
 
         switch (type) {
-          case ExampleArgumentType.Bool:
+          case ExampleArgumentType.Boolean:
             example.InputBoolean = new[] { ExampleArgumentConverter.ConvertBoolean(arg) };
             example.InputArgs[i] = arg;
             break;
           case ExampleArgumentType.Integer:
-            example.InputInt = new[] { ExampleArgumentConverter.ConvertInteger(arg) };
+            example.InputInteger = new[] { ExampleArgumentConverter.ConvertInteger(arg) };
             example.InputArgs[i] = arg;
             break;
-          case ExampleArgumentType.IntegerCollection:
-            example.InputInt = ExampleArgumentConverter.ConvertIntegers(arg);
-            example.InputArgs[i] = string.Join(ValueSeparator, example.InputInt);
+          case ExampleArgumentType.IntegerVector:
+            example.InputInteger = ExampleArgumentConverter.ConvertIntegers(arg);
+            example.InputArgs[i] = string.Join(ValueSeparator, example.InputInteger);
             break;
           case ExampleArgumentType.Float:
@@ -74,5 +74,5 @@
             example.InputArgs[i] = arg;
             break;
-          case ExampleArgumentType.FloatCollection:
+          case ExampleArgumentType.FloatVector:
             example.InputFloat = ExampleArgumentConverter.ConvertDoubles(arg);
             example.InputArgs[i] = string.Join(ValueSeparator, example.InputFloat);
@@ -87,15 +87,15 @@
 
         switch (type) {
-          case ExampleArgumentType.Bool:
+          case ExampleArgumentType.Boolean:
             example.OutputBoolean = new[] { ExampleArgumentConverter.ConvertBoolean(arg) };
             example.OutputArgs[i] = arg;
             break;
           case ExampleArgumentType.Integer:
-            example.OutputInt = new[] { ExampleArgumentConverter.ConvertInteger(arg) };
+            example.OutputInteger = new[] { ExampleArgumentConverter.ConvertInteger(arg) };
             example.OutputArgs[i] = arg;
             break;
-          case ExampleArgumentType.IntegerCollection:
-            example.OutputInt = ExampleArgumentConverter.ConvertIntegers(arg);
-            example.OutputArgs[i] = string.Join(ValueSeparator, example.OutputInt);
+          case ExampleArgumentType.IntegerVector:
+            example.OutputInteger = ExampleArgumentConverter.ConvertIntegers(arg);
+            example.OutputArgs[i] = string.Join(ValueSeparator, example.OutputInteger);
             break;
           case ExampleArgumentType.Float:
@@ -103,5 +103,5 @@
             example.OutputArgs[i] = arg;
             break;
-          case ExampleArgumentType.FloatCollection:
+          case ExampleArgumentType.FloatVector:
             example.OutputFloat = ExampleArgumentConverter.ConvertDoubles(arg);
             example.OutputArgs[i] = string.Join(ValueSeparator, example.OutputFloat);
@@ -113,7 +113,7 @@
     }
 
-    public new Data Content
+    public new ProblemData Content
     {
-      get { return (Data)base.Content; }
+      get { return (ProblemData)base.Content; }
       set
       {
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs	(revision 14834)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs	(revision 14875)
@@ -4,14 +4,14 @@
       switch (type) {
         case ExampleArgumentType.Integer:
-        case ExampleArgumentType.IntegerCollection: return string.Join(valueSeparator, example.InputInt);
+        case ExampleArgumentType.IntegerVector: return string.Join(valueSeparator, example.InputInteger);
 
         case ExampleArgumentType.Float:
-        case ExampleArgumentType.FloatCollection: return string.Join(valueSeparator, example.InputFloat);
+        case ExampleArgumentType.FloatVector: return string.Join(valueSeparator, example.InputFloat);
 
-        case ExampleArgumentType.Bool: return string.Join(valueSeparator, example.InputBoolean);
+        case ExampleArgumentType.Boolean: return string.Join(valueSeparator, example.InputBoolean);
         case ExampleArgumentType.Char: return string.Join(valueSeparator, example.InputChar);
 
         case ExampleArgumentType.String:
-        case ExampleArgumentType.StringCollection: return string.Join(valueSeparator, example.InputString);
+        case ExampleArgumentType.StringVector: return string.Join(valueSeparator, example.InputString);
         default: return string.Empty;
       }
@@ -21,14 +21,14 @@
       switch (type) {
         case ExampleArgumentType.Integer:
-        case ExampleArgumentType.IntegerCollection: return string.Join(valueSeparator, example.OutputInt);
+        case ExampleArgumentType.IntegerVector: return string.Join(valueSeparator, example.OutputInteger);
 
         case ExampleArgumentType.Float:
-        case ExampleArgumentType.FloatCollection: return string.Join(valueSeparator, example.OutputFloat);
+        case ExampleArgumentType.FloatVector: return string.Join(valueSeparator, example.OutputFloat);
 
-        case ExampleArgumentType.Bool: return string.Join(valueSeparator, example.OutputBoolean);
+        case ExampleArgumentType.Boolean: return string.Join(valueSeparator, example.OutputBoolean);
         case ExampleArgumentType.Char: return string.Join(valueSeparator, example.OutputChar);
 
         case ExampleArgumentType.String:
-        case ExampleArgumentType.StringCollection: return string.Join(valueSeparator, example.OutputString);
+        case ExampleArgumentType.StringVector: return string.Join(valueSeparator, example.OutputString);
         default: return string.Empty;
       }
@@ -47,10 +47,10 @@
         case ExampleArgumentType.Integer: return IntegerColumnHeader;
         case ExampleArgumentType.Float: return DoubleColumnHeader;
-        case ExampleArgumentType.Bool: return BooleanColumnHeader;
+        case ExampleArgumentType.Boolean: return BooleanColumnHeader;
         case ExampleArgumentType.Char: return CharColumnHeader;
         case ExampleArgumentType.String: return StringColumnHeader;
-        case ExampleArgumentType.IntegerCollection: return IntegersColumnHeader;
-        case ExampleArgumentType.FloatCollection: return DoublesColumnHeader;
-        case ExampleArgumentType.StringCollection: return StringsColumnHeader;
+        case ExampleArgumentType.IntegerVector: return IntegersColumnHeader;
+        case ExampleArgumentType.FloatVector: return DoublesColumnHeader;
+        case ExampleArgumentType.StringVector: return StringsColumnHeader;
         default: return string.Empty;
       }
